#include <iostream>
#include <cstring>

using namespace std;

typedef enum {set, unset, ambiguous} segmentState;

class digit {
	public:
	digit(){}
	digit(bool* arr) {
		segments[0]=arr[0];
		segments[1]=arr[1];
		segments[2]=arr[2];
		segments[3]=arr[3];
		segments[4]=arr[4];
		segments[5]=arr[5];
		segments[6]=arr[6];
	};
	bool segments[7];
	
	digit operator & (const digit &x) {
		digit ret;
		for (int i=0;i<7;i++){
			ret.segments[i]=this->segments[i]&&x.segments[i];
		}
		return ret;
	}
	
	bool isFalse() {
		bool ret=true;
		for (int i=0;i<7;i++) {
			ret = ret && this->segments[i];
		}
		return ret;
	}
};

digit allDigits[10];

segmentState numbers[4][7];

bool barrs[10][7]={
	{true,true,true,true,true,true,false},
	{false, true, true, false, false, false, false},
 	{true, true, false, true, true, false, true},
  {true, true, true, true, false, false, true},
  {false, true, true, false, false, true, true},
  {true, false, true, true, false, true, true},
  {true, false, true, true, true, true, true},
  {true, true, true, false, false, false, false},
  {true,true,true,true,true,true,true},
  {true,true,true,true,false,true,true}
};

void initialize() {
	allDigits[0]=digit(barrs[0]);
	allDigits[1]=digit(barrs[1]);
	allDigits[2]=digit(barrs[2]);
	allDigits[3]=digit(barrs[3]);
	allDigits[4]=digit(barrs[4]);
	allDigits[5]=digit(barrs[5]);
	allDigits[6]=digit(barrs[6]);
	allDigits[7]=digit(barrs[7]);
	allDigits[8]=digit(barrs[8]);
	allDigits[9]=digit(barrs[9]);
}

void zeroState(){
	for(int i=0;i<4*7;i++){
		numbers[i/7][i%7]=ambiguous;
	}
}

segmentState getHorState(char * buf){
	for (int i=1;i<4;i++){
		switch(buf[i]){
			case ' ':
				return unset;
			case '-':
				return set;
			default:
				break;
		}
	}
	return ambiguous;
}

int main (int argc, char * argv[]){
	initialize();
	zeroState();
	
	char buf[6];
	
	memset(buf,0,6);
	while(true){
		for (int line=0;line<7;line++){
			cin.get(buf,5);
			if (line==0 && !strcmp(buf,"end")) {
				cout << "end" << endl;
				return 0;
			}
			
			switch(line){
				case 0:
					//kontrola segmentu 1
				case 3:
					//seg 7
				case 6:
					//seg 4
				case 1:
				case 2:
					//segmenty 6 a 2
				case 4:
				case 5:
					//segmenty 3 a 5
			}
		}
	}
	
	return 0;
}
